////////////////////////////////////////////////////////////////////////////////
//                               FastMines project
//                                       Sergey Krivulya (KSerg, aka SeregaLBN)
// file name: "TabItemFM.cpp"
// ,      
// Copyright (C) 2006-2007 Sergey Krivulya
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
////////////////////////////////////////////////////////////////////////////////

#include "StdAfx.h"
#include "TabItemFM.h"
#include "../FastMines2.h"

extern CFastMines2WinMain& GetFM2WinMain();

BOOL CTabItemFM::DrawBkgrnd(const DRAWITEMSTRUCT&, HDC hCDC, const RECTEX &rect, HTHEME hTheme) const {
   BOOL bRes = FALSE;
   if (hTheme == NULL) {
      HBRUSH hBrushNew = ::CreateSolidBrush(GetFM2WinMain().GetSkin().GetBkColor());
      HGDIOBJ hBrushOld = ::SelectObject(hCDC, hBrushNew);
      bRes = ::PatBlt(hCDC, rect.left, rect.top, rect.width(), rect.height(), PATCOPY);
      ::SelectObject(hCDC, hBrushOld);
      ::DeleteObject(hBrushNew);
   }
   return bRes;
}
